Bug 1931 - Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs in deploying the application on Emulator at API 7.
Summary: Error "Failure [INSTALL_FAILED_OLDER_SDK]" occurs in deploying the applicatio...
Status: CLOSED DUPLICATE of bug 1929
Alias: None
Product: Android
Classification: Xamarin
Component: Mono runtime / AOT Compiler ()
Version: 1.9.2
Hardware: PC Windows
: --- major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-11-08 06:31 UTC by narayanp
Modified: 2011-12-22 08:02 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED DUPLICATE of bug 1929

Description narayanp 2011-11-08 06:31:25 UTC
Step to Reproduce:

1. Launch MonoDevelop.
2. Click on "Open the existing Solution" link.
3. Browse the "MultiResolution" application.
4. Build the application and select "Debug" option under Active Configuration.
5. Click on Run from the top menu bar and select API 7 from select device window.

Actual Result:
In Debug mode "Failure [INSTALL_FAILED_OLDER_SDK]" message display in Deploy to Device at API 7.

Error Details: D/AndroidRuntime(  241): Shutting down VM

E/AndroidRuntime(  241): Uncaught handler: thread main exiting due to uncaught exception

E/AndroidRuntime(  241): java.lang.RuntimeException: Unable to get provider mono.MonoRuntimeProvider: java.lang.RuntimeException: Unable to find application Mono.Android.DebugRuntime or Mono.Android.Platform.ApiLevel_8!

E/AndroidRuntime(  241): 	at android.app.ActivityThread.installProvider(ActivityThread.java:4270)

E/AndroidRuntime(  241): 	at android.app.ActivityThread.installContentProviders(ActivityThread.java:4042)

E/AndroidRuntime(  241): 	at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4001)

E/AndroidRuntime(  241): 	at android.app.ActivityThread.access$2900(ActivityThread.java:119)

E/AndroidRuntime(  241): 	at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1901)

E/AndroidRuntime(  241): 	at android.os.Handler.dispatchMessage(Handler.java:99)

E/AndroidRuntime(  241): 	at android.os.Looper.loop(Looper.java:123)

E/AndroidRuntime(  241): 	at android.app.ActivityThread.main(ActivityThread.java:4363)

E/AndroidRuntime(  241): 	at java.lang.reflect.Method.invokeNative(Native Method)

E/AndroidRuntime(  241): 	at java.lang.reflect.Method.invoke(Method.java:521)

E/AndroidRuntime(  241): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:860)

E/AndroidRuntime(  241): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:618)

E/AndroidRuntime(  241): 	at dalvik.system.NativeStart.main(Native Method)

E/AndroidRuntime(  241): Caused by: java.lang.RuntimeException: Unable to find application Mono.Android.DebugRuntime or Mono.Android.Platform.ApiLevel_8!

E/AndroidRuntime(  241): 	at mono.MonoRuntimeProvider.attachInfo(MonoRuntimeProvider.java:30)

E/AndroidRuntime(  241): 	at android.app.ActivityThread.installProvider(ActivityThread.java:4267)

E/AndroidRuntime(  241): 	... 12 more

E/AndroidRuntime(  241): Caused by: android.content.pm.PackageManager$NameNotFoundException: Mono.Android.Platform.ApiLevel_8

E/AndroidRuntime(  241): 	at android.app.ApplicationContext$ApplicationPackageManager.getApplicationInfo(ApplicationContext.java:1604)

E/AndroidRuntime(  241): 	at mono.MonoRuntimeProvider.attachInfo(MonoRuntimeProvider.java:22)

E/AndroidRuntime(  241): 	... 13 more

Expected Result:
Error should not occur in running the application and application should deploy on the emulator successfully.

Environment:
MonoForAndroid 1.9.2
MonoDevelop 2.8.2
Comment 1 narayanp 2011-11-08 07:23:17 UTC
Error "Failed to get package list. Data at the root level is invalid. Line 1, position 1." occurs when we are run the application at API 14 on both Release and Debug Mode.
Comment 2 Jonathan Pryor 2011-11-09 16:27:28 UTC
The original description looks like #1929 -- the app is built for API level 8 (presumably) and you're installing to an API level 7 target.

I don't fully understand Comment #1, as you say it occurs when you "run the application." Do you mean Run -> Run within MonoDevelop? Or launching the app through the emulator launcher after it's been installed?
Comment 3 narayanp 2011-11-10 05:45:35 UTC
Error "Error: Could not access the Package Manager.  Is the system running?(Debug)in debug mode and Fatal Exception:main on Release mode at API 10 on MAC
Comment 4 narayanp 2011-11-14 06:54:09 UTC
Environment on Windows7:

monoDevelop 3.0 Beta1
MonoForAndroid 1.9.3

API 7:
Fail: Failure [INSTALL_FAILED_OLDER_SDK](Debug)
Comment 5 Jonathan Pryor 2011-11-17 17:11:57 UTC

*** This bug has been marked as a duplicate of bug 1929 ***
Comment 6 Atin 2011-12-22 08:00:22 UTC
now this issue has been fixed and new issue which is already logged when we run the app on API 7.

Bug 2208 - Error appears after setting Target Framework dropdown to Mono for Android 2.1 for the application Buttons.

Hence closing this issue.